webpackJsonp([10],{

/***/ 326:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PlanDetailPageModule", function() { return PlanDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__plan_detail__ = __webpack_require__(366);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PlanDetailPageModule = /** @class */ (function () {
    function PlanDetailPageModule() {
    }
    PlanDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__plan_detail__["a" /* PlanDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__plan_detail__["a" /* PlanDetailPage */]),
            ],
        })
    ], PlanDetailPageModule);
    return PlanDetailPageModule;
}());

//# sourceMappingURL=plan-detail.module.js.map

/***/ }),

/***/ 366:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PlanDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_data_service_data_service__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the PlanDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PlanDetailPage = /** @class */ (function () {
    function PlanDetailPage(navCtrl, navParams, dataProvider, alertService, utils, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.dataProvider = dataProvider;
        this.alertService = alertService;
        this.utils = utils;
        this.modalCtrl = modalCtrl;
        this.planID = navParams.get('PlanID');
        this.planName = navParams.get('PlanName');
        //this.initData();
    }
    PlanDetailPage.prototype.initData = function () {
        this.isLogined = this.utils.checkLogin();
        this.getPlanDetail(this.planID);
    };
    PlanDetailPage.prototype.ionViewWillEnter = function () {
        this.initData();
    };
    PlanDetailPage.prototype.cancel = function () {
        this.navCtrl.pop();
    };
    PlanDetailPage.prototype.choose = function () {
        if (this.isLogined) {
            this.goChoose();
        }
        else {
            this.showLoginPage();
        }
    };
    PlanDetailPage.prototype.goStudyPage = function () {
        this.navCtrl.push("MycourseListPage", { PlanID: this.planID, PlanName: this.planName });
    };
    PlanDetailPage.prototype.goPayInfoPage = function () {
        var order = { PayID: this.payID, Coursename: this.trainPlan.Name, SetFeed: this.trainPlan.Feed };
        this.checkPaying(order);
    };
    PlanDetailPage.prototype.checkPaying = function (order) {
        var _this = this;
        this.dataProvider.hasOrderPaying(order.PayID).then(function (res) {
            console.log(res);
            if (res.result == 1) {
                _this.navCtrl.push("PayInfoPage", { "Order": order });
            }
            else {
                _this.alertService.showAlert(res.message);
            }
        });
    };
    PlanDetailPage.prototype.goChoose = function () {
        // if (this.classCourse.classID) {
        this.showChooseConfirm();
        // } else {
        //   this.alert.showAlert("此门课程暂未开班！");
        // }
    };
    PlanDetailPage.prototype.showChooseConfirm = function () {
        var _this = this;
        this.alertService.showComfirm("提示", "确定激活此学习计划", "取消", "确定").then(function (value) {
            if (value) {
                _this.dataProvider.doChoosePlan(_this.planID).then(function (res) {
                    if (res.result == 1) {
                        _this.doChoice("计划激活成功!");
                        _this.initData();
                    }
                    else {
                        _this.utils.checkToken(res.message, _this.navCtrl);
                    }
                });
            }
        });
    };
    PlanDetailPage.prototype.showLoginPage = function () {
        var _this = this;
        var modal = this.modalCtrl.create('LoginPage'); //可带参数
        modal.present();
        modal.onDidDismiss(function () {
            _this.isLogined = _this.utils.checkLogin();
            _this.initData();
        });
    };
    PlanDetailPage.prototype.doChoice = function (msg) {
        var _this = this;
        this.alertService.showComfirm("提示", msg, "取消", "继续激活").then(function (value) {
            if (value) {
                // this.dataProvider.getCourseDetail(this.classCourse.courseID).then((res) => {
                //   if (res.result==1) {
                //     this.navCtrl.push('CourseStudyPage', { course: res }).then(() => {
                //       //选课成功进去学习页面后不记录此页
                //       const startIndex = this.navCtrl.getActive().index - 1;
                //       console.log(startIndex);
                //       this.navCtrl.remove(startIndex, 1);
                //     });
                //   }else{
                //     this.utils.checkToken(res.content,this.navCtrl);            
                //   }
                // });
                //跳转到我的课程界面
                //this.navCtrl.push("MycourseListPage",{PlanID:this.planID, PlanName:this.planName});
                //跳到我的学习计划界面
                //this.navCtrl.push("MyplanListPage");
                _this.navCtrl.pop();
            }
        });
    };
    PlanDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad PlanDetailPage');
    };
    PlanDetailPage.prototype.getPlanDetail = function (planID) {
        var _this = this;
        this.dataProvider.getPlanDetail(planID).then(function (res) {
            if (res) {
                _this.courses = res.Courses;
                _this.trainPlan = res.TrainPlan;
                _this.studentPlanStatus = res.StudentPlanStatus;
                _this.payID = res.MultilyPayID;
                console.log(_this.studentPlanStatus);
            }
        });
    };
    PlanDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-plan-detail',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\plan-detail\plan-detail.html"*/'<!--\n  Generated template for the PlanDetailPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>{{trainPlan?.Name}}</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content class="lessonimfomation" padding>\n  <h1>{{trainPlan?.Name}}</h1>\n  <ion-row>\n    <ion-col col-12>培训机构：<span>{{trainPlan?.OrgName}}</span></ion-col>\n      <ion-col col-12>计划类型：<span>{{trainPlan?.PlanTypeName}}</span></ion-col>\n    <ion-col col-12>发布时间：<span>{{trainPlan?.StartTime}}</span></ion-col>  \n  </ion-row>\n  <ion-row>\n    <ion-col col-6>课程价格： <span>{{trainPlan?.Feed}}</span></ion-col>\n      <ion-col col-6>考核学时： <span>{{trainPlan?.Rand}}</span></ion-col>  \n</ion-row>       \n  <h2>计划描述</h2>\n  <div>{{trainPlan?.Description}}</div>\n  <h2>课程</h2>\n  <div>\n    <ion-list>\n      <p *ngFor="let course of courses">\n        <ion-icon name="ios-videocam-outline"></ion-icon>&nbsp;&nbsp;&nbsp;&nbsp;<span>{{course.CourseName}}</span>\n      </p>\n    </ion-list>   \n  </div>   \n</ion-content>\n<ion-footer>\n    <ion-toolbar>\n      <ion-row>\n        <ion-col col-6>\n          <button ion-button color="danger" full (click)="cancel()">取消</button>\n        </ion-col>\n        <ion-col col-6 *ngIf="!isLogined||studentPlanStatus==0">\n          <button ion-button full (click)="choose()" color="orange">激活</button>\n        </ion-col>\n        <ion-col col-6 *ngIf="isLogined&&studentPlanStatus==2">\n          <button ion-button full color="primary" (click)="goStudyPage()">进入学习</button>\n        </ion-col>    \n        <ion-col col-6 *ngIf="isLogined&&studentPlanStatus==1">\n          <button ion-button full color="primary" (click)="goPayInfoPage()">去支付</button>\n        </ion-col>            \n      </ion-row>\n    </ion-toolbar>\n  </ion-footer>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\plan-detail\plan-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_data_service_data_service__["a" /* DataProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ModalController */]])
    ], PlanDetailPage);
    return PlanDetailPage;
}());

//# sourceMappingURL=plan-detail.js.map

/***/ })

});
//# sourceMappingURL=10.js.map