webpackJsonp([16],{

/***/ 317:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MyExamPageModule", function() { return MyExamPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_exam__ = __webpack_require__(357);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MyExamPageModule = /** @class */ (function () {
    function MyExamPageModule() {
    }
    MyExamPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_exam__["a" /* MyExamPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__my_exam__["a" /* MyExamPage */]),
            ],
        })
    ], MyExamPageModule);
    return MyExamPageModule;
}());

//# sourceMappingURL=my-exam.module.js.map

/***/ }),

/***/ 357:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyExamPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_examination_service_examination_service__ = __webpack_require__(219);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the MyExamPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MyExamPage = /** @class */ (function () {
    function MyExamPage(navCtrl, navParams, examinationProvider, alertService, utilsProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.examinationProvider = examinationProvider;
        this.alertService = alertService;
        this.utilsProvider = utilsProvider;
        this.ipage = 1;
        this.pageCount = 0;
        this.pageIndex = 1;
        this.searchInput = "";
        this.initData();
    }
    MyExamPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad MyExamPage');
    };
    MyExamPage.prototype.examTapped = function (examID, recordID) {
        var _this = this;
        this.examinationProvider.getExamination(examID, recordID).then(function (res) {
            if (res.result == 1) {
                _this.navCtrl.push("ExaminationPage", { datas: res, examID: examID });
            }
            else {
                _this.utilsProvider.checkToken(res.content, _this.navCtrl);
            }
        });
    };
    MyExamPage.prototype.initData = function () {
        var _this = this;
        this.alertService.showLoading("加载中");
        this.examinationProvider.getMyExamList(this.ipage, this.searchInput).then(function (res) {
            _this.alertService.dismissLoading();
            if (res.result == 1) {
                _this.pageCount = res.pageCount;
                _this.pageIndex = res.pageIndex;
                _this.myExams = res.exams;
            }
            else {
                _this.utilsProvider.checkToken(res.content, _this.navCtrl);
            }
        }, function (error) {
            _this.alertService.dismissLoading();
        });
    };
    //下拉刷新
    MyExamPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        this.ipage = 1;
        if (this.infiScroll) {
            this.infiScroll.enable(true);
        }
        this.examinationProvider.getMyExamList(this.ipage, this.searchInput).then(function (res) {
            if (res.result == 1) {
                _this.pageCount = res.pageCount;
                _this.pageIndex = res.pageIndex;
                _this.myExams = res.exams;
            }
            else {
                _this.utilsProvider.checkToken(res.content, _this.navCtrl);
            }
            refresher.complete();
        }, function (error) {
            refresher.complete();
        });
    };
    //上推查看更多
    MyExamPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        this.infiScroll = infiniteScroll;
        if (this.pageCount > this.pageIndex) {
            this.examinationProvider.getMyExamList(this.ipage + 1, this.searchInput).then(function (res) {
                if (res.result == 1) {
                    _this.myExams = _this.myExams.concat(res.exams);
                    _this.ipage = _this.ipage + 1;
                    _this.pageIndex = res.pageIndex;
                }
                else {
                    _this.utilsProvider.checkToken(res.content, _this.navCtrl);
                }
                infiniteScroll.complete();
            }, function (error) {
                infiniteScroll.complete();
            });
        }
        else {
            infiniteScroll.enable(false);
        }
    };
    MyExamPage.prototype.doSearch = function () {
        this.ipage = 1;
        this.initData();
    };
    MyExamPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-my-exam',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\my-exam\my-exam.html"*/'<!--\n  Generated template for the AddCourseListPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>我的考试</ion-title>\n  </ion-navbar> \n  <ion-toolbar>\n    <ion-searchbar\n    [(ngModel)]="searchInput"\n    placeholder="请输入考试名称"\n    [showCancelButton]="shouldShowCancel"\n    (ionInput)="doSearch()"\n    (ionCancel)="onCancel($event)"\n    >\n  </ion-searchbar>\n  </ion-toolbar>  \n</ion-header>\n<ion-content>\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content pullingIcon="arrow-down" pullingText="释放刷新" refreshingSpinner="circles" refreshingText="刷新中...">\n    </ion-refresher-content>\n  </ion-refresher>\n  <div *ngIf="myExams?.length==0" class="nolesson">暂无相关考试</div>\n  <ion-list>\n    <ion-row *ngFor="let myExam of myExams" (click)="examTapped(myExam.ID, myExam.LastRecordId)" class="lessonbox">\n      <ion-col  col-12 class="lessonboxtitle">\n        <p class="img">\n        <img src="{{myExam.Cover}}" /></p>\n        <h3>{{myExam.ExamName}}</h3>\n      </ion-col>\n      <ion-col padding>\n        <p>培训计划：<font color="red">{{myExam.PlanName}}</font></p>\n        <p>考试时间：{{myExam.StartTime}}至{{myExam.EndTime}}</p>\n        <p>考试方式：{{myExam.Category}}</p>\n        <p>考试时长：{{myExam.Duration}}分钟</p>\n        <p>  \n          <ion-row>\n              <ion-col col-6>及格线：{{myExam.PassScore}}分</ion-col>\n              <ion-col col-5>最高分数：<span class="score">{{myExam.HighestScore}}分</span></ion-col>   \n          </ion-row>       \n        </p>\n        <p>最后一次考试：{{myExam.LastRecordTime}}</p>\n        <p>剩余考试次数：{{myExam.RemainCounts}}</p>\n        <p>状态：<font color="red" *ngIf="myExam.StatusCode!=1">未通过</font>\n          <font color="green" *ngIf="myExam.StatusCode==1">{{myExam.StatusText}}</font>\n        </p>        \n      </ion-col>\n    </ion-row>\n  </ion-list>\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" threshold="10%">\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载更多数据...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n</ion-content>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\my-exam\my-exam.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_4__providers_examination_service_examination_service__["a" /* ExaminationProvider */], __WEBPACK_IMPORTED_MODULE_2__providers_utils_alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__["a" /* UtilsProvider */]])
    ], MyExamPage);
    return MyExamPage;
}());

//# sourceMappingURL=my-exam.js.map

/***/ })

});
//# sourceMappingURL=16.js.map