webpackJsonp([18],{

/***/ 315:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginPageModule", function() { return LoginPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login__ = __webpack_require__(355);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LoginPageModule = /** @class */ (function () {
    function LoginPageModule() {
    }
    LoginPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */]),
            ],
        })
    ], LoginPageModule);
    return LoginPageModule;
}());

//# sourceMappingURL=login.module.js.map

/***/ }),

/***/ 355:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_user_service_user_service__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_utils_storage_service__ = __webpack_require__(215);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the LoginPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LoginPage = /** @class */ (function () {
    function LoginPage(navCtrl, navParams, userService, alertService, util, viewCtrl, storageProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.userService = userService;
        this.alertService = alertService;
        this.util = util;
        this.viewCtrl = viewCtrl;
        this.storageProvider = storageProvider;
        this.loginData = { username: "", password: "" };
        this.getIsRemember();
        this.getLocalUserInfo();
        this.isTimeout = navParams.get("isTimeout");
    }
    //   ionViewDidEnter() {
    //     JAnalytics.onPageStart({'pageName': 'LoginPage'});
    //   }
    // 
    //   ionViewDidLeave() {
    //     JAnalytics.onPageEnd({'pageName': 'LoginPage'});
    //   }
    LoginPage.prototype.login = function () {
        var _this = this;
        var username = this.loginData.username;
        var password = this.loginData.password;
        if (__WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(username)) {
            this.alertService.showAlert("用户名不能为空！");
        }
        else if (__WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(password)) {
            this.alertService.showAlert("密码不能为空！");
        }
        else {
            this.userService.login(username, password).then(function (res) {
                if (res == 1) {
                    _this.viewCtrl.dismiss();
                    _this.checkRememberUser();
                    JAnalytics.addLoginEvent({ 'loginMethod': 'self', 'isLoginSuccess': true });
                }
                else {
                    JAnalytics.addLoginEvent({ 'loginMethod': 'self', 'isLoginSuccess': false });
                }
            });
        }
    };
    LoginPage.prototype.checkRememberUser = function () {
        if (this.isRemember) {
            this.storageProvider.setLocalData('userInfo', this.loginData);
        }
        else {
            this.storageProvider.rmLocalData('userInfo');
        }
    };
    LoginPage.prototype.getLocalUserInfo = function () {
        var _this = this;
        this.storageProvider.getLocalData('userInfo').then(function (value) {
            if (value) {
                _this.loginData = JSON.parse(value);
            }
        });
    };
    LoginPage.prototype.getIsRemember = function () {
        var _this = this;
        this.storageProvider.getLocalData('isRemember').then(function (value) {
            if (value) {
                _this.isRemember = value;
            }
        });
    };
    LoginPage.prototype.switchToggle = function () {
        this.storageProvider.setLocalData('isRemember', this.isRemember);
    };
    LoginPage.prototype.goRegisterPage = function () {
        this.navCtrl.push('RegisterPage');
    };
    LoginPage.prototype.goResetPwdPage = function () {
        this.navCtrl.push('ResetpwdPage');
    };
    LoginPage.prototype.closeLoginPage = function () {
        this.viewCtrl.dismiss();
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-login',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\login\login.html"*/'<!--\n  Generated template for the LoginPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-buttons start>\n      <button ion-button icon-only (click)="closeLoginPage()">\n        <ion-icon name="md-close"></ion-icon>\n      </button>\n    </ion-buttons>\n    <ion-title>登录</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n  <ion-item>\n    <ion-label fixed>用户名</ion-label>\n    <ion-input type="text" placeholder="请输入用户名" [(ngModel)]="loginData.username"></ion-input>\n  </ion-item>\n  <ion-item>\n    <ion-label fixed>密码</ion-label>\n    <ion-input type="password" placeholder="请输入密码" [(ngModel)]="loginData.password"></ion-input>\n  </ion-item>\n  <ion-item no-lines>\n    <label item-right>记住我</label>\n    <ion-toggle [(ngModel)]="isRemember" (ngModelChange)="switchToggle()"></ion-toggle>\n  </ion-item>\n  <ion-row>\n    <ion-col>\n      <button ion-button class="login-button" color="primary" (click)="login()">登录</button>\n    </ion-col>\n  </ion-row>\n  <ion-row>\n    <ion-col col-6 text-left>\n      <span>还没有账号？\n        <a (click)="goRegisterPage()">立即注册</a>\n      </span>\n    </ion-col>\n    <ion-col col-6 text-right>\n      <span (click)="goResetPwdPage()">忘记密码?</span>\n    </ion-col>\n  </ion-row>\n</ion-content>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\login\login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_user_service_user_service__["a" /* UserServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_utils_alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["u" /* ViewController */], __WEBPACK_IMPORTED_MODULE_5__providers_utils_storage_service__["a" /* StorageProvider */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ })

});
//# sourceMappingURL=18.js.map