webpackJsonp([20],{

/***/ 313:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LocalCoursePageModule", function() { return LocalCoursePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__local_course__ = __webpack_require__(353);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LocalCoursePageModule = /** @class */ (function () {
    function LocalCoursePageModule() {
    }
    LocalCoursePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__local_course__["a" /* LocalCoursePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__local_course__["a" /* LocalCoursePage */]),
            ],
        })
    ], LocalCoursePageModule);
    return LocalCoursePageModule;
}());

//# sourceMappingURL=local-course.module.js.map

/***/ }),

/***/ 353:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LocalCoursePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_storage_service__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(46);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





//declare let JAnalytics: any;
/**
 * Generated class for the LocalCoursePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LocalCoursePage = /** @class */ (function () {
    function LocalCoursePage(navCtrl, navParams, storageProvider, file, alertService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storageProvider = storageProvider;
        this.file = file;
        this.alertService = alertService;
        this.localCourses = [];
        this.rootPath = this.file.externalRootDirectory + 'download_gzwcit/course_videos/';
    }
    //   ionViewDidEnter() {
    //     JAnalytics.onPageStart({'pageName': 'LocalCoursePage'});
    //   }
    // 
    //   ionViewDidLeave() {
    //     JAnalytics.onPageEnd({'pageName': 'LocalCoursePage'});
    //   }
    LocalCoursePage.prototype.ionViewWillEnter = function () {
        //获取本地已下载课程数据
        this.getLocalCourses();
    };
    LocalCoursePage.prototype.getLocalCourses = function () {
        var _this = this;
        this.storageProvider.getLocalData('Local_courses').then(function (value) {
            if (value) {
                _this.localCourses = JSON.parse(value);
                //获取本地已下载课件信息
                _this.getLocalCws();
            }
        });
    };
    LocalCoursePage.prototype.getLocalCws = function () {
        var _this = this;
        var coursewares = [];
        var _loop_1 = function (i) {
            this_1.storageProvider.getLocalData(this_1.localCourses[i].classID).then(function (value) {
                if (value) {
                    coursewares = JSON.parse(value);
                    if (coursewares.length == 0) {
                        _this.localCourses = _this.localCourses.filter(function (course) { return course.classID != _this.localCourses[i].classID; });
                        _this.storageProvider.setLocalData('Local_courses', _this.localCourses);
                    }
                    //检测课程对应的课件在本地文件夹中是否存在
                    _this.checkLocalCw(i, coursewares);
                }
            });
        };
        var this_1 = this;
        for (var i = 0; i < this.localCourses.length; i++) {
            _loop_1(i);
        }
    };
    LocalCoursePage.prototype.checkLocalCw = function (i, coursewares) {
        var _this = this;
        var _loop_2 = function (j) {
            var temp_dir = this_2.rootPath + this_2.localCourses[i].classID + "/";
            var temp_coursewareName = coursewares[j].coursewareName;
            this_2.file.checkFile(temp_dir, temp_coursewareName).then(function (value) {
                if (value) {
                    _this.localCourses[i].hasDownload = true;
                    coursewares[j].isDownloadComplete = true;
                }
                else {
                    coursewares[j].isDownloadComplete = false;
                }
                _this.storageProvider.setLocalData(_this.localCourses[i].classID, coursewares);
                _this.localCourses.filter(function (localCourse) { return localCourse.hasDownload; });
            }).catch(function (error) {
                console.log(error + "error");
            });
        };
        var this_2 = this;
        for (var j = 0; j < coursewares.length; j++) {
            _loop_2(j);
        }
    };
    //跳转到本地课程对应本地课件列表
    LocalCoursePage.prototype.goLocalCWPage = function (classID, courseName) {
        this.navCtrl.push('LocalCoursewarePage', { classID: classID, courseName: courseName, localCourses: this.localCourses });
    };
    //删除本地课程数据
    LocalCoursePage.prototype.delLocalCourse = function (classID) {
        var _this = this;
        this.storageProvider.getLocalData(classID).then(function (value) {
            if (value) {
                var temp_coursewares_1 = [];
                temp_coursewares_1 = JSON.parse(value);
                var del_coursewares_1 = temp_coursewares_1.filter(function (cw) { return cw.isDownloadComplete; });
                var temp_dir = _this.rootPath + classID + "/";
                var _loop_3 = function (i) {
                    var temp_coursewareName = del_coursewares_1[i].coursewareName;
                    _this.file.removeFile(temp_dir, temp_coursewareName).then(function (value) {
                        //所有本地课件删除成功后再更新本地课程信息
                        temp_coursewares_1[del_coursewares_1[i].index].isDownloadComplete = false;
                        temp_coursewares_1[del_coursewares_1[i].index].isWaitingForDownload = false;
                        temp_coursewares_1[del_coursewares_1[i].index].isSelected = false;
                        _this.storageProvider.setLocalData(classID, temp_coursewares_1);
                        _this.refreshLocalCourses(classID);
                    }).catch(function (error) {
                        _this.alertService.showAlert('_' + del_coursewares_1[i].coursewareName + '_删除失败');
                    });
                };
                for (var i = 0; i < del_coursewares_1.length; i++) {
                    _loop_3(i);
                }
            }
        });
    };
    LocalCoursePage.prototype.refreshLocalCourses = function (classID) {
        this.localCourses = this.localCourses.filter(function (course) { return course.classID !== classID; });
        this.storageProvider.setLocalData('Local_courses', this.localCourses);
    };
    LocalCoursePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-local-course',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\local-course\local-course.html"*/'<!--\n  Generated template for the LocalCoursePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>离线课程</ion-title>\n  </ion-navbar>\n\n</ion-header>\n<ion-content>\n  <ion-list>\n    <div *ngIf="localCourses?.length==0" class="nolesson">暂无相关课程</div>\n    <ion-item-sliding *ngFor="let course of localCourses">\n      <ion-item *ngIf="course.hasDownload" (click)="goLocalCWPage(course.classID, course.courseName)">\n        <ion-row>           \n          <ion-col col-12 class="lessonbox">\n            <p class="img"><img src="{{course.courseImgUrl}}" /></p>\n            <h3>{{course.courseName}}</h3>\n          </ion-col>          \n        </ion-row>      \n      </ion-item>\n      <ion-item-options>\n        <button ion-button color="danger" (click)="delLocalCourse(course.classID)">删除</button>\n      </ion-item-options>\n    </ion-item-sliding>\n  </ion-list>\n</ion-content>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\local-course\local-course.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_utils_storage_service__["a" /* StorageProvider */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_2__providers_utils_alert_service__["a" /* AlertService */]])
    ], LocalCoursePage);
    return LocalCoursePage;
}());

//# sourceMappingURL=local-course.js.map

/***/ })

});
//# sourceMappingURL=20.js.map