webpackJsonp([28],{

/***/ 305:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DiscoverPageModule", function() { return DiscoverPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__discover__ = __webpack_require__(345);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var DiscoverPageModule = /** @class */ (function () {
    function DiscoverPageModule() {
    }
    DiscoverPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__discover__["a" /* DiscoverPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__discover__["a" /* DiscoverPage */]),
            ],
        })
    ], DiscoverPageModule);
    return DiscoverPageModule;
}());

//# sourceMappingURL=discover.module.js.map

/***/ }),

/***/ 345:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DiscoverPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_home_service_home_service__ = __webpack_require__(217);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__ = __webpack_require__(11);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the DiscoverPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var DiscoverPage = /** @class */ (function () {
    function DiscoverPage(navCtrl, navParams, homeDataProvider, alertService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.homeDataProvider = homeDataProvider;
        this.alertService = alertService;
        this.announces = [];
        this.notices = [];
        this.infos = [];
        this.ipage = 1;
        this.pageCount = 0;
        this.pageIndex = 1;
        this.count = 0;
        this.information = "announce";
        this.infoType = 1;
        this.isFirstLoad_notices = true;
        this.isFirstLoad_infos = true;
        this.initData();
    }
    DiscoverPage.prototype.initData = function () {
        var _this = this;
        this.alertService.showLoading("加载中");
        this.homeDataProvider.getNoticeList(this.ipage, this.infoType).then(function (res) {
            _this.alertService.dismissLoading();
            if (res) {
                _this.segmentTypes(res);
                _this.pageCount = res.pageCount;
                _this.pageIndex = res.pageIndex;
            }
        }, function (error) {
            _this.alertService.dismissLoading();
        });
    };
    DiscoverPage.prototype.segmentTypes = function (res) {
        if (this.infoType == 1) {
            this.announces = res.notices;
        }
        else if (this.infoType == 2) {
            this.notices = res.notices;
        }
        else {
            this.infos = res.notices;
        }
    };
    DiscoverPage.prototype.ionViewWillEnter = function () {
        this.count++;
        //因网络问题未获取到数据的情况下重新再获取数据
        if (this.announces.length == 0 && this.count > 1) {
            this.initData();
        }
    };
    //下拉刷新
    DiscoverPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        this.ipage = 1;
        if (this.infiScroll) {
            this.infiScroll.enable(true);
        }
        this.homeDataProvider.getNoticeList(this.ipage, this.infoType).then(function (res) {
            _this.segmentTypes(res);
            _this.pageCount = res.pageCount;
            _this.pageIndex = res.pageIndex;
            refresher.complete();
        }, function (error) {
            refresher.complete();
        });
    };
    //上推查看更多
    DiscoverPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        this.infiScroll = infiniteScroll;
        if (this.pageCount > this.pageIndex) {
            this.homeDataProvider.getNoticeList(this.ipage + 1, this.infoType).then(function (res) {
                if (_this.infoType == 1) {
                    _this.announces = _this.announces.concat(res.notices);
                }
                else if (_this.infoType == 2) {
                    _this.notices = _this.notices.concat(res.notices);
                }
                else {
                    _this.infos = _this.infos.concat(res.notices);
                }
                _this.ipage = _this.ipage + 1;
                _this.pageIndex = res.pageIndex;
                infiniteScroll.complete();
            }, function (error) {
                infiniteScroll.complete();
            });
        }
        else {
            infiniteScroll.enable(false);
        }
    };
    DiscoverPage.prototype.noticeTapped = function (noticeID) {
        this.navCtrl.push('NoticeDetailPage', { ID: noticeID });
    };
    DiscoverPage.prototype.infoTypeChange = function () {
        if (this.information == 'announce') {
            this.infoType = 1;
        }
        else if (this.information == 'notice') {
            this.infoType = 2;
            if (this.isFirstLoad_notices) {
                this.isFirstLoad_notices = false;
                this.initData();
            }
        }
        else {
            this.infoType = 3;
            if (this.isFirstLoad_infos) {
                this.isFirstLoad_infos = false;
                this.initData();
            }
        }
    };
    DiscoverPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-discover',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\discover\discover.html"*/'<!--\n  Generated template for the DiscoverPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n     <ion-title>资讯</ion-title>\n  </ion-navbar>\n  <ion-segment [(ngModel)]="information" (ionChange)="infoTypeChange($event)">\n    <ion-segment-button value="announce">\n      网站公告\n    </ion-segment-button>\n    <ion-segment-button value="notice">\n      培训通知\n    </ion-segment-button>\n    <ion-segment-button value="info">\n      政策咨询\n    </ion-segment-button>\n  </ion-segment>\n</ion-header>\n\n\n<ion-content>\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content pullingIcon="arrow-down" pullingText="释放刷新" refreshingSpinner="circles" refreshingText="刷新中...">\n    </ion-refresher-content>\n  </ion-refresher>\n  <div [ngSwitch]="information">\n      <ion-list *ngSwitchCase="\'announce\'">\n          <div *ngIf="announces?.length==0" class="nolesson">暂无相关信息</div>\n        <button *ngFor="let notice of announces" class="newsinfo" ion-item (click)="noticeTapped(notice.ID)">\n          <h2>{{notice.noticeTitle}}</h2>\n          <p class="Editors">\n            <ion-icon name="create-outline"></ion-icon> {{notice.orgName}}</p>\n          <p class="times">\n            <ion-icon name="clock-outline"></ion-icon> {{notice.createTime}}</p>\n        </button>\n      </ion-list>\n      <ion-list *ngSwitchCase="\'notice\'">\n        <div *ngIf="notices?.length==0" class="nolesson">暂无相关信息</div>\n        <button *ngFor="let notice of notices" class="newsinfo" ion-item (click)="noticeTapped(notice.ID)">\n          <h2>{{notice.noticeTitle}}</h2>\n          <p class="Editors">\n            <ion-icon name="create-outline"></ion-icon> {{notice.orgName}}</p>\n          <p class="times">\n            <ion-icon name="clock-outline"></ion-icon> {{notice.createTime}}</p>\n        </button>\n      </ion-list>\n      <ion-list *ngSwitchCase="\'info\'">\n        <div *ngIf="infos?.length==0" class="nolesson">暂无相关信息</div>\n        <button *ngFor="let notice of infos" class="newsinfo" ion-item (click)="noticeTapped(notice.ID)">\n          <h2>{{notice.noticeTitle}}</h2>\n          <p class="Editors">\n            <ion-icon name="create-outline"></ion-icon> {{notice.orgName}}</p>\n          <p class="times">\n            <ion-icon name="clock-outline"></ion-icon> {{notice.createTime}}</p>\n        </button>\n      </ion-list>   \n    </div>\n    <ion-infinite-scroll (ionInfinite)="doInfinite($event)" threshold="10%">\n      <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载更多数据...">\n      </ion-infinite-scroll-content>\n    </ion-infinite-scroll>\n</ion-content>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\discover\discover.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_home_service_home_service__["a" /* HomeDataProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__["a" /* AlertService */]])
    ], DiscoverPage);
    return DiscoverPage;
}());

//# sourceMappingURL=discover.js.map

/***/ })

});
//# sourceMappingURL=28.js.map