webpackJsonp([31],{

/***/ 301:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CourseChoosePageModule", function() { return CourseChoosePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__course_choose__ = __webpack_require__(341);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CourseChoosePageModule = /** @class */ (function () {
    function CourseChoosePageModule() {
    }
    CourseChoosePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__course_choose__["a" /* CourseChoosePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__course_choose__["a" /* CourseChoosePage */]),
            ],
        })
    ], CourseChoosePageModule);
    return CourseChoosePageModule;
}());

//# sourceMappingURL=course-choose.module.js.map

/***/ }),

/***/ 341:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CourseChoosePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_data_service_data_service__ = __webpack_require__(214);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





//declare let JAnalytics: any;
/**
 * Generated class for the CourseChoosePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CourseChoosePage = /** @class */ (function () {
    function CourseChoosePage(navCtrl, navParams, alert, utils, dataProvider, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alert = alert;
        this.utils = utils;
        this.dataProvider = dataProvider;
        this.modalCtrl = modalCtrl;
        this.initData();
    }
    CourseChoosePage.prototype.initData = function () {
        this.isLogined = this.utils.checkLogin();
        this.course = this.navParams.get('course');
        this.classCourse = this.course.classCourse;
        this.courseware = this.course.courseWare;
        this.isChoosed = this.classCourse.isChoosed;
    };
    //   ionViewDidEnter() {
    //     JAnalytics.onPageStart({'pageName': 'ChooseCoursePage'});
    //   }
    // 
    //   ionViewDidLeave() {
    //     JAnalytics.onPageEnd({'pageName': 'ChooseCoursePage'});
    //   }
    CourseChoosePage.prototype.cancel = function () {
        this.navCtrl.pop();
    };
    CourseChoosePage.prototype.choose = function () {
        if (this.isLogined) {
            this.goChoose();
        }
        else {
            this.showLoginPage();
        }
    };
    CourseChoosePage.prototype.goStudyPage = function () {
        var _this = this;
        this.dataProvider.getCourseDetail(this.classCourse.courseID).then(function (res) {
            if (res.result == 1) {
                _this.navCtrl.push('CourseStudyPage', { course: res });
            }
            else {
                _this.utils.checkToken(res.content, _this.navCtrl);
            }
        });
    };
    CourseChoosePage.prototype.goChoose = function () {
        if (this.classCourse.classID) {
            this.showChooseConfirm();
        }
        else {
            this.alert.showAlert("此门课程暂未开班！");
        }
    };
    CourseChoosePage.prototype.showChooseConfirm = function () {
        var _this = this;
        this.alert.showComfirm("提示", "确定选择此门课程", "取消", "确定").then(function (value) {
            if (value) {
                _this.dataProvider.doChoose(_this.classCourse.classID, _this.classCourse.courseID).then(function (res) {
                    if (res.result == 1) {
                        _this.doChoice(res.content);
                        //统计选课成功数 
                        //JAnalytics.addCountEvent({'eventId': 'choose_course'});
                    }
                    else {
                        _this.utils.checkToken(res.content, _this.navCtrl);
                    }
                });
            }
        });
    };
    CourseChoosePage.prototype.showLoginPage = function () {
        var _this = this;
        var modal = this.modalCtrl.create('LoginPage'); //可带参数
        modal.present();
        modal.onDidDismiss(function () {
            _this.isLogined = _this.utils.checkLogin();
        });
    };
    CourseChoosePage.prototype.doChoice = function (msg) {
        var _this = this;
        this.alert.showComfirm("提示", msg, "继续选课", "进入学习").then(function (value) {
            if (value) {
                _this.dataProvider.getCourseDetail(_this.classCourse.courseID).then(function (res) {
                    if (res.result == 1) {
                        _this.navCtrl.push('CourseStudyPage', { course: res }).then(function () {
                            //选课成功进去学习页面后不记录此页
                            var startIndex = _this.navCtrl.getActive().index - 1;
                            console.log(startIndex);
                            _this.navCtrl.remove(startIndex, 1);
                        });
                    }
                    else {
                        _this.utils.checkToken(res.content, _this.navCtrl);
                    }
                });
            }
            else {
                _this.navCtrl.pop();
            }
        });
    };
    CourseChoosePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-course-choose',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\course-choose\course-choose.html"*/'<!--\n  Generated template for the CourseChoosePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>{{classCourse.courseName}}</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content class="lessonimfomation" padding>\n      <h1>{{classCourse.courseName}}</h1>\n      <p>培训机构：{{classCourse.orgName}}</p>\n      <ion-row>\n          <ion-col col-6><ion-icon name=\'clock-outline\'></ion-icon> <span>{{classCourse.credit}}</span>学时</ion-col>\n\n          <ion-col col-6><ion-icon name=\'ios-browsers-outline\'></ion-icon> <span>{{classCourse.courseType}}</span></ion-col>\n\n      </ion-row>\n      <h2>{{classCourse.teacherIntroName}}</h2>\n      <div [innerHTML]="classCourse.teacherIntro"></div>      \n      <h2>{{classCourse.courseIntroName}}</h2>\n      <div [innerHTML]="classCourse.courseIntro"></div>\n</ion-content>\n\n<ion-footer>\n  <ion-toolbar>\n    <ion-row>\n      <ion-col col-6>\n        <button ion-button color="danger" full (click)="cancel()">取消</button>\n      </ion-col>\n      <ion-col col-6 *ngIf="!isChoosed||!isLogined">\n        <button ion-button full (click)="choose()">选课</button>\n      </ion-col>\n      <ion-col col-6 *ngIf="isChoosed&&isLogined">\n        <button ion-button full (click)="goStudyPage()">进入学习</button>\n      </ion-col>      \n    </ion-row>\n  </ion-toolbar>\n</ion-footer>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\course-choose\course-choose.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_utils_alert_service__["a" /* AlertService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_data_service_data_service__["a" /* DataProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ModalController */]])
    ], CourseChoosePage);
    return CourseChoosePage;
}());

//# sourceMappingURL=course-choose.js.map

/***/ })

});
//# sourceMappingURL=31.js.map