webpackJsonp([12],{

/***/ 324:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PersonInfoPageModule", function() { return PersonInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__person_info__ = __webpack_require__(364);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PersonInfoPageModule = /** @class */ (function () {
    function PersonInfoPageModule() {
    }
    PersonInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__person_info__["a" /* PersonInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__person_info__["a" /* PersonInfoPage */]),
            ],
        })
    ], PersonInfoPageModule);
    return PersonInfoPageModule;
}());

//# sourceMappingURL=person-info.module.js.map

/***/ }),

/***/ 364:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PersonInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_user_service_user_service__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_utils_alert_service__ = __webpack_require__(11);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the PersonInfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PersonInfoPage = /** @class */ (function () {
    function PersonInfoPage(navCtrl, navParams, actionSheetCtrl, modalCtrl, globaldata, userProvider, utilsProvider, alertService, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.actionSheetCtrl = actionSheetCtrl;
        this.modalCtrl = modalCtrl;
        this.globaldata = globaldata;
        this.userProvider = userProvider;
        this.utilsProvider = utilsProvider;
        this.alertService = alertService;
        this.alertCtrl = alertCtrl;
        this.initData();
    }
    PersonInfoPage.prototype.ionViewWillEnter = function () {
        console.log('ionViewWillEnter PersonInfoPage');
        //this.initData();
    };
    //修改单位名称
    PersonInfoPage.prototype.setDepartment = function () {
        this.toSearchPage();
    };
    //设置头像
    // setAvatar() {
    //   this.presentActionSheet();
    // }
    PersonInfoPage.prototype.initData = function () {
        this.userInfo = this.globaldata.getUserInfo();
    };
    PersonInfoPage.prototype.toSearchPage = function () {
        var _this = this;
        var modal = this.modalCtrl.create('SearchPage');
        modal.present();
        modal.onDidDismiss(function (data) {
            if (data) {
                //保存修改后的单位名称
                _this.userInfo.department = data.department;
                _this.userInfo.departmentID = data.ID;
                // this.userProvider.modifyUserInfo(this.userInfo, this.navCtrl).then((res) => {
                //   if (res.result == 1) {
                //     this.globaldata.setUserInfo(this.userInfo);
                //   }
                // });
            }
        });
    };
    //保存修改后的用户数据
    PersonInfoPage.prototype.saveUserinfo = function () {
        var _this = this;
        var verifyStr = this.verifyUserInfo();
        if (verifyStr != "pass") {
            if (!__WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(verifyStr)) {
                this.alertService.showAlert(verifyStr);
            }
        }
        else {
            this.userProvider.modifyUserInfo(this.userInfo, this.navCtrl).then(function (res) {
                if (res.result == 1) {
                    _this.globaldata.setUserInfo(_this.userInfo);
                }
            });
        }
    };
    PersonInfoPage.prototype.setNation = function () {
        this.showModifyPrompt("请输入民族", "isNation", this.userInfo.nation);
    };
    PersonInfoPage.prototype.setMobilePhone = function () {
        this.showModifyPrompt("请输入手机号码", "isMobilePhone", this.userInfo.mobileNum);
    };
    PersonInfoPage.prototype.setEmail = function () {
        this.showModifyPrompt("请输入电子邮箱", "isEmail", this.userInfo.email);
    };
    PersonInfoPage.prototype.verifyUserInfo = function () {
        if (__WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.userInfo.nation)) {
            return "民族不能为空！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.userInfo.department)) {
            return "工作单位不能为空！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.userInfo.mobileNum)) {
            return "手机号码不能为空！";
        }
        else if (!this.utilsProvider.isMobileNum(this.userInfo.mobileNum)) {
            return "";
        }
        else if (__WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.userInfo.email)) {
            return "电子邮箱不能为空！";
        }
        else if (!this.utilsProvider.isEmail(this.userInfo.email)) {
            return "";
        }
        else {
            return "pass";
        }
    };
    PersonInfoPage.prototype.showModifyPrompt = function (title, type, placeholder) {
        var _this = this;
        var prompt = this.alertCtrl.create({
            title: title,
            message: "",
            inputs: [
                {
                    name: 'title',
                    placeholder: placeholder
                },
            ],
            buttons: [
                {
                    text: '取消',
                    handler: function (data) {
                        console.log('Cancel clicked');
                    }
                },
                {
                    text: '确定',
                    handler: function (data) {
                        console.log(data.title);
                        switch (type) {
                            case "isMobilePhone":
                                _this.checkMobilePhone(data.title);
                                break;
                            case "isEmail":
                                _this.checkEmail(data.title);
                                break;
                            case "isNation":
                                _this.checkNation(data.title);
                                break;
                        }
                    }
                }
            ]
        });
        prompt.present();
    };
    PersonInfoPage.prototype.checkMobilePhone = function (content) {
        if (__WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(content)) {
            return;
        }
        else if (!this.utilsProvider.isMobileNum(content)) {
            return;
        }
        else {
            this.userInfo.mobileNum = content;
        }
    };
    PersonInfoPage.prototype.checkEmail = function (content) {
        if (__WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(content)) {
            return;
        }
        else if (!this.utilsProvider.isEmail(content)) {
            return;
        }
        else {
            this.userInfo.email = content;
        }
    };
    PersonInfoPage.prototype.checkNation = function (content) {
        if (__WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(content)) {
            return;
        }
        else {
            this.userInfo.nation = content;
        }
    };
    PersonInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-person-info',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\person-info\person-info.html"*/'<!--\n  Generated template for the PersonInfoPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>个人资料</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <ion-list>\n    <!--button ion-item (click)="setAvatar()">\n      <label item-left>头像</label>\n      <label item-right>\n        <ion-avatar>\n          <img src="../../assets/imgs/avatars/rabbit.jpg" item-right>\n        </ion-avatar>\n      </label>\n    </button-->\n    <ion-item>\n      <label item-left>头像</label>\n      <label item-right>\n        <ion-avatar>\n          <img src="assets/imgs/avatars/default.png" item-right>\n        </ion-avatar>\n      </label>\n    </ion-item>\n  </ion-list>\n\n  <ion-list>\n    <ion-item>\n      <label item-left>姓名</label>\n      <label item-right>{{userInfo.userRealName}}</label>\n    </ion-item>\n    <ion-item>\n      <label item-left>身份证号码</label>\n      <label item-right>{{userInfo.userID_card}}</label>\n    </ion-item>    \n    <ion-item>\n      <label item-left>性别</label>\n      <label item-right>{{userInfo.sex}}</label>\n    </ion-item>\n    <ion-item>\n      <label item-left>出生年月</label>\n      <label item-right>{{userInfo.brithday}}</label>\n    </ion-item>    \n    <button ion-item (click)="setNation()">\n      <label item-left>民族</label>\n      <label item-right>{{userInfo.nation}}</label>\n    </button>\n    <ion-item>\n      <ion-label >聘岗情况</ion-label>\n      <ion-select interface="popover" [(ngModel)]="userInfo.pgqk"> \n          <ion-option value="已聘">已聘</ion-option>\n          <ion-option value="未聘">未聘</ion-option>\n    </ion-select>\n    </ion-item>\n    <ion-item>\n      <ion-label >编制情况</ion-label>\n      <ion-select interface="popover" [(ngModel)]="userInfo.bzqk"> \n          <ion-option value="在编人员">在编人员</ion-option>\n          <ion-option value="事业合同制人员">事业合同制人员</ion-option>\n    </ion-select>\n    </ion-item>\n    <ion-item>\n      <ion-label >职务</ion-label>\n      <ion-select interface="popover" [(ngModel)]="userInfo.zw"> \n          <ion-option value="正科级">正科级</ion-option>\n          <ion-option value="副科级">副科级</ion-option>\n          <ion-option value="无">无</ion-option>\n    </ion-select>\n    </ion-item>\n    <ion-item>\n      <ion-label >现有职称</ion-label>\n      <ion-select interface="popover" [(ngModel)]="userInfo.xyzc"> \n          <ion-option value="正高级">正高级</ion-option>\n          <ion-option value="高级">高级</ion-option>\n          <ion-option value="中级">中级</ion-option>\n          <ion-option value="初级">初级</ion-option>\n          <ion-option value="无">无</ion-option>\n    </ion-select>\n    </ion-item>\n    <button ion-item *ngIf="userInfo.xyzc!=\'无\'">\n      <ion-label>取得时间</ion-label>\n      <ion-datetime placeholder="取得时间" displayFormat="YYYY-MM-DD" [(ngModel)]="userInfo.zcgetTime"  cancelText="取消" doneText="确认"></ion-datetime>      \n    </button>         \n    <ion-item>\n      <label item-left>培训基地</label>\n      <label item-right>内蒙古自治区满洲里市人力资源和社会保障局</label>\n    </ion-item>    \n    <button  ion-item (click)="setDepartment()">\n      <label item-left>单位</label>\n      <label item-right>{{userInfo.department}}</label>\n    </button>\n    <ion-item>\n      <label item-left>所属地区</label>\n      <label item-right>{{userInfo.region}}</label>\n    </ion-item>     \n  </ion-list>\n\n  <ion-list>\n    <button ion-item (click)="setMobilePhone()">\n      <label item-left>手机</label>\n      <label item-right>{{userInfo.mobileNum}}</label>\n    </button>\n    <button ion-item (click)="setEmail()">\n      <label item-left>邮箱</label>\n      <label item-right>{{userInfo.email}}</label>\n    </button>\n\n  </ion-list>\n</ion-content>\n\n<ion-footer>\n  <button ion-button full (click)="saveUserinfo()" color="orange">保存</button>\n</ion-footer>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\person-info\person-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ModalController */], __WEBPACK_IMPORTED_MODULE_2__providers_globaldata_globaldata__["a" /* GlobaldataProvider */], __WEBPACK_IMPORTED_MODULE_3__providers_user_service_user_service__["a" /* UserServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_4__providers_utils_utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_5__providers_utils_alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], PersonInfoPage);
    return PersonInfoPage;
}());

//# sourceMappingURL=person-info.js.map

/***/ })

});
//# sourceMappingURL=12.js.map