webpackJsonp([23],{

/***/ 310:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HomeworkPageModule", function() { return HomeworkPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__homework__ = __webpack_require__(350);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var HomeworkPageModule = /** @class */ (function () {
    function HomeworkPageModule() {
    }
    HomeworkPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__homework__["a" /* HomeworkPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__homework__["a" /* HomeworkPage */]),
            ],
        })
    ], HomeworkPageModule);
    return HomeworkPageModule;
}());

//# sourceMappingURL=homework.module.js.map

/***/ }),

/***/ 350:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomeworkPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_homework_service_homework_service__ = __webpack_require__(222);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_utils_storage_service__ = __webpack_require__(215);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





//declare let JAnalytics: any;
/**
 * Generated class for the HomeworkPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var HomeworkPage = /** @class */ (function () {
    function HomeworkPage(navCtrl, navParams, hwProvider, popoverCtrl, alertService, storageProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.hwProvider = hwProvider;
        this.popoverCtrl = popoverCtrl;
        this.alertService = alertService;
        this.storageProvider = storageProvider;
        this.initParams();
        this.initData();
    }
    HomeworkPage.prototype.initParams = function () {
        this.hwParams = this.navParams.get('params');
        this.hwName = this.hwParams.HWName;
        this.currentQuesIndex = 1;
        this.answers = [];
        this.times = 0;
    };
    HomeworkPage.prototype.initData = function () {
        var _this = this;
        this.hwProvider.getHomework(this.hwParams.HWID, this.hwParams.calssID, this.hwParams.courseID).then(function (res) {
            if (res) {
                _this.homeworks = res;
                _this.homeworkTotalNum = res.length;
                _this.initAnswers(res);
                _this.radioTotalNum = _this.getRadioNum(res);
            }
        });
    };
    //   ionViewDidEnter() {
    //     JAnalytics.onPageStart({'pageName': 'HomeworkPage'});
    //   }
    // 
    //   ionViewDidLeave() {
    //     JAnalytics.onPageEnd({'pageName': 'HomeworkPage'});
    //   }
    HomeworkPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HomeworkPage');
        this.alertUserSlide(); //提醒左右滑动   
    };
    HomeworkPage.prototype.alertUserSlide = function () {
        this.alertService.showToast('左右滑动切换题目', 2000, 'middle');
    };
    //提交最后答案
    HomeworkPage.prototype.submit = function () {
        var _this = this;
        var unFinished_count = this.getUnfinishedCount();
        if (unFinished_count != 0) {
            this.alertService.showComfirm('提示', '还有' + "<font color=red>" + unFinished_count + "</font>" + '题尚未完成，确认提交？', '取消', '确定').then(function (value) {
                if (value) {
                    _this.submitAnswers();
                }
            });
        }
        else {
            this.submitAnswers();
        }
    };
    HomeworkPage.prototype.submitAnswers = function () {
        var _this = this;
        this.hwProvider.saveUserHomework(this.hwParams.HWID, this.hwParams.calssID, this.hwParams.courseID, this.answers).then(function (res) {
            if (res == 1) {
                _this.navCtrl.pop();
            }
        });
    };
    HomeworkPage.prototype.getUnfinishedCount = function () {
        var count = 0;
        for (var i = 0; i < this.homeworks.length; i++) {
            if (!this.homeworks[i].haveDone) {
                count++;
            }
        }
        return count;
    };
    //弹出题目索引
    HomeworkPage.prototype.presentPopover = function (myEvent) {
        var _this = this;
        var popover = this.popoverCtrl.create('IndexPopoverPage', { data: this.homeworks });
        popover.present({
            ev: myEvent
        });
        popover.onDidDismiss(function (data) {
            if (data) {
                _this.slides.slideTo(data - 1, 0);
            }
        });
    };
    //下一题
    HomeworkPage.prototype.next = function () {
        this.slides.slideNext();
    };
    //上一题
    HomeworkPage.prototype.previous = function () {
        this.slides.slidePrev();
    };
    //题目切换时调用
    HomeworkPage.prototype.slideChanged = function () {
        var currentIndex = this.slides.getActiveIndex();
        console.log('Current index is', currentIndex);
        if (currentIndex == this.homeworks.length) {
            this.currentQuesIndex = currentIndex;
        }
        else {
            this.currentQuesIndex = currentIndex + 1;
        }
    };
    /*单选选项改变时调用,，由于radio绑定的 ngmodel动态加载，radio在进入页面时就执行单选题ionchange的次数，现通过ionchangge的次数和单选题总数对比来解决，
    后续待优化。*/
    HomeworkPage.prototype.radioChange = function () {
        this.times = this.times + 1;
        console.log("radioChange times is" + this.times);
        if (this.times > this.radioTotalNum) {
            //更新用户选择的答案
            this.answers[this.currentQuesIndex - 1].Answer = this.homeworks[this.currentQuesIndex - 1].radioOptions;
            //更新题目完成状态
            if (this.homeworks[this.currentQuesIndex - 1].haveDone == false) {
                this.homeworks[this.currentQuesIndex - 1].haveDone = true;
            }
        }
    };
    //多选选项改变时调用
    HomeworkPage.prototype.checkboxChange = function () {
        //更新用户选择的答案
        this.answers[this.currentQuesIndex - 1].Answer = this.dealAnswers(this.homeworks[this.currentQuesIndex - 1].options);
        //更新用户题目完成状态
        this.homeworks[this.currentQuesIndex - 1].haveDone = this.checkUserSelected(this.homeworks[this.currentQuesIndex - 1].options);
    };
    //判断多选题用户是否已选择答案，包括选了答案后又删除的情况
    HomeworkPage.prototype.checkUserSelected = function (options) {
        var hasSelected = false;
        for (var i = 0; i < options.length; i++) {
            if (options[i].selected) {
                hasSelected = true;
            }
        }
        return hasSelected;
    };
    HomeworkPage.prototype.dealAnswers = function (options) {
        var answer = "";
        for (var i = 0; i < options.length; i++) {
            if (options[i].selected) {
                if (answer != "") {
                    answer = answer + "," + options[i].tag;
                }
                else {
                    answer = options[i].tag;
                }
            }
        }
        return answer;
    };
    HomeworkPage.prototype.initAnswers = function (res) {
        for (var i = 0; i < res.length; i++) {
            this.answers.push({
                QuestionId: res[i].ID,
                Answer: ""
            });
        }
    };
    //获取所有题目中单选题的数量
    HomeworkPage.prototype.getRadioNum = function (datas) {
        var radioNum = 0;
        for (var i = 0; i < datas.length; i++) {
            if (datas[i].questionType != 2) {
                radioNum = radioNum + 1;
            }
        }
        return radioNum;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* Slides */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* Slides */])
    ], HomeworkPage.prototype, "slides", void 0);
    HomeworkPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-homework',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\homework\homework.html"*/'<!--\n  Generated template for the HomeworkPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>{{hwName}}</ion-title>\n    <ion-buttons end>\n      <button ion-button icon-start (click)="presentPopover($event)">\n        {{currentQuesIndex}}/{{homeworkTotalNum}}<ion-icon name="apps"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content >\n   <ion-slides (ionSlideDidChange)="slideChanged()">\n     <ion-slide *ngFor="let homework of homeworks">\n        <h3><span class="hwtype">{{homework.typeName}}</span>{{homework.index}}、{{homework.question}}</h3>\n        <ion-list *ngIf="homework.questionType!=2" radio-group [(ngModel)]="homework.radioOptions" (ionChange)="radioChange()">\n            <ion-item *ngFor="let option of homework.options">  \n              <ion-label>{{option.tag}}、{{option.quesOption}}</ion-label>\n              <ion-radio  value="{{option.tag}}"></ion-radio>\n              </ion-item>                    \n        </ion-list>\n        <ion-list *ngIf="homework.questionType==2">\n            <ion-item *ngFor="let option of homework.options">\n                <ion-label>{{option.tag}}、{{option.quesOption}}</ion-label>\n                <ion-checkbox [(ngModel)]="option.selected"  (ionChange)="checkboxChange()"></ion-checkbox>\n              </ion-item>\n        </ion-list>        \n     </ion-slide>\n   </ion-slides>\n</ion-content>\n<ion-footer>\n  <!--ion-toolbar>\n    <ion-row>\n      <ion-col *ngIf="currentQuesIndex>1">\n        <button ion-button full (click)="previous()">上一题</button>\n      </ion-col>\n      <ion-col >\n        <button ion-button full (click)="next()">下一题</button>\n      </ion-col>    \n    </ion-row>\n  </ion-toolbar-->\n  <button ion-button full (click)="submit()">提交</button>\n</ion-footer>\n'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\homework\homework.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_homework_service_homework_service__["a" /* HomeworkProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* PopoverController */], __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_4__providers_utils_storage_service__["a" /* StorageProvider */]])
    ], HomeworkPage);
    return HomeworkPage;
}());

//# sourceMappingURL=homework.js.map

/***/ })

});
//# sourceMappingURL=23.js.map