webpackJsonp([26],{

/***/ 307:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ExaminationPageModule", function() { return ExaminationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__examination__ = __webpack_require__(347);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ExaminationPageModule = /** @class */ (function () {
    function ExaminationPageModule() {
    }
    ExaminationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__examination__["a" /* ExaminationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__examination__["a" /* ExaminationPage */]),
            ],
        })
    ], ExaminationPageModule);
    return ExaminationPageModule;
}());

//# sourceMappingURL=examination.module.js.map

/***/ }),

/***/ 347:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExaminationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_examination_service_examination_service__ = __webpack_require__(219);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_utils_storage_service__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_utils_utils__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the ExaminationPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ExaminationPage = /** @class */ (function () {
    function ExaminationPage(navCtrl, navParams, examProvider, popoverCtrl, alertService, storageProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.examProvider = examProvider;
        this.popoverCtrl = popoverCtrl;
        this.alertService = alertService;
        this.storageProvider = storageProvider;
        this.radioChangeTimes = 1;
        this.initParams();
        this.initData();
    }
    ExaminationPage.prototype.initParams = function () {
        this.datas = this.navParams.get('datas');
        this.examName = this.datas.Examination.Name;
        this.currentQuesIndex = 1;
        this.answers = [];
        this.times = 0;
        this.studentAnswers = this.datas.StudentAnswers;
    };
    ExaminationPage.prototype.initData = function () {
        this.examinations = this.datas.questions;
        this.quesTotalNum = this.examinations.length;
        this.initAnswers(this.examinations);
        this.radioTotalNum = this.getRadioNum(this.examinations);
        var examCreateTime = this.datas.CreateTime;
        var DurationTime = this.datas.Examination.Duration;
        var endTime = new Date(examCreateTime).getTime() / 1000 + DurationTime * 60;
        var nowTime = new Date().getTime() / 1000;
        this.remainTime = endTime - nowTime;
    };
    ExaminationPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.alertUserSlide(); //提醒左右滑动  
        //倒计时
        var examTimeInterval = setInterval(function () {
            _this.remainTime = _this.remainTime - 1;
            _this.remainTimeTxt = __WEBPACK_IMPORTED_MODULE_5__providers_utils_utils__["a" /* UtilsProvider */].formatTime(_this.remainTime);
            if (_this.remainTime < 0) {
                clearInterval(examTimeInterval);
                _this.remainTimeTxt = "00:00:00";
                _this.alertService.showActionAlert("考试时间已到，请交卷！").then(function (value) {
                    if (value) {
                        _this.submitAnswers();
                    }
                });
            }
        }, 1000);
        //获取用户答题记录并更新用户答题记录
        this.initAnswerRecord();
    };
    ExaminationPage.prototype.initAnswerRecord = function () {
        if (this.studentAnswers != null && this.studentAnswers.length > 0) {
            for (var i = 0; i < this.answers.length; i++) {
                for (var j = 0; j < this.studentAnswers.length; j++) {
                    if (this.examinations[i].questionType == "2") {
                        if (this.answers[i].QuestionId == this.studentAnswers[j].QuestionId) {
                            this.answers[i].Answer = this.studentAnswers[j].Answer;
                            this.examinations[i].options = this.dealMulQuestion(this.examinations[i].options, this.answers[i].Answer);
                            if (this.answers[i].Answer != "") {
                                this.examinations[i].haveDone = true;
                            }
                        }
                    }
                    else {
                        if (this.answers[i].QuestionId == this.studentAnswers[j].QuestionId) {
                            this.answers[i].Answer = this.studentAnswers[j].Answer;
                            this.examinations[i].radioOptions = this.answers[i].Answer;
                            console.log("第" + i + "题:" + this.examinations[i].radioOptions);
                            if (this.answers[i].Answer != "") {
                                this.examinations[i].haveDone = true;
                            }
                        }
                    }
                }
            }
        }
    };
    ExaminationPage.prototype.ionViewWillLeave = function () {
        //上传临时答案
        this.examProvider.subExaminationTemp(this.datas.RecordID, this.answers);
    };
    ExaminationPage.prototype.alertUserSlide = function () {
        //this.alertService.showToast('左右滑动切换题目', 2000, 'middle');
        this.alertService.showAlert("左右滑动可切换考题，点击右上角图标可查看考题序号，点击序号可切换到对应考题，序号有背景色代表此考题已完成!", "操作提示");
    };
    //提交最后答案
    ExaminationPage.prototype.submit = function () {
        var _this = this;
        var unFinished_count = this.getUnfinishedCount();
        if (unFinished_count != 0) {
            this.alertService.showComfirm('提示', '还有' + "<font color=red>" + unFinished_count + "</font>" + '题尚未完成，确认交卷？', '取消', '确定').then(function (value) {
                if (value) {
                    _this.submitAnswers();
                }
            });
        }
        else {
            this.alertService.showComfirm("提示", "所有考题都已完成，是否确定交卷？", '取消', '确定').then(function (value) {
                if (value) {
                    _this.submitAnswers();
                }
            });
        }
    };
    ExaminationPage.prototype.submitAnswers = function () {
        var _this = this;
        this.examProvider.subExamination(this.datas.RecordID, this.answers).then(function (res) {
            if (res == 1) {
                _this.navCtrl.pop();
            }
        });
    };
    ExaminationPage.prototype.getUnfinishedCount = function () {
        var count = 0;
        for (var i = 0; i < this.examinations.length; i++) {
            if (!this.examinations[i].haveDone) {
                count++;
            }
        }
        return count;
    };
    //弹出题目索引
    ExaminationPage.prototype.presentPopover = function (myEvent) {
        var _this = this;
        var popover = this.popoverCtrl.create('IndexPopoverPage', { data: this.examinations });
        popover.present({
            ev: myEvent
        });
        popover.onDidDismiss(function (data) {
            if (data) {
                _this.slides.slideTo(data - 1, 0);
            }
        });
    };
    //下一题
    ExaminationPage.prototype.next = function () {
        this.slides.slideNext();
    };
    //上一题
    ExaminationPage.prototype.previous = function () {
        this.slides.slidePrev();
    };
    //题目切换时调用
    ExaminationPage.prototype.slideChanged = function () {
        var currentIndex = this.slides.getActiveIndex();
        console.log('Current index is', currentIndex);
        if (currentIndex == this.examinations.length) {
            this.currentQuesIndex = currentIndex;
        }
        else {
            this.currentQuesIndex = currentIndex + 1;
        }
        //上传临时答案
        this.examProvider.subExaminationTemp(this.datas.RecordID, this.answers);
    };
    /*单选选项改变时调用,，由于radio绑定的 ngmodel动态加载，radio在进入页面时就执行单选题ionchange的次数，现通过ionchangge的次数和单选题总数对比来解决，
    后续待优化。*/
    ExaminationPage.prototype.radioChange = function () {
        this.times = this.times + 1;
        console.log("radioChange times is" + this.times);
        if (this.times > this.radioTotalNum) {
            //更新用户选择的答案
            this.answers[this.currentQuesIndex - 1].Answer = this.examinations[this.currentQuesIndex - 1].radioOptions;
            //更新题目完成状态
            if (this.examinations[this.currentQuesIndex - 1].radioOptions != "") {
                this.examinations[this.currentQuesIndex - 1].haveDone = true;
            }
        }
    };
    //多选选项改变时调用
    ExaminationPage.prototype.checkboxChange = function () {
        console.log("checkboxChange");
        //更新用户选择的答案
        this.answers[this.currentQuesIndex - 1].Answer = this.dealAnswers(this.examinations[this.currentQuesIndex - 1].options);
        //更新用户题目完成状态
        this.examinations[this.currentQuesIndex - 1].haveDone = this.checkUserSelected(this.examinations[this.currentQuesIndex - 1].options);
        console.log("option:" + this.examinations[this.currentQuesIndex - 1].options.toString());
        console.log("answers:" + this.answers[this.currentQuesIndex - 1].Answer);
    };
    //判断多选题用户是否已选择答案，包括选了答案后又删除的情况
    ExaminationPage.prototype.checkUserSelected = function (options) {
        var hasSelected = false;
        for (var i = 0; i < options.length; i++) {
            if (options[i].selected) {
                hasSelected = true;
            }
        }
        return hasSelected;
    };
    ExaminationPage.prototype.dealAnswers = function (options) {
        var answer = "";
        for (var i = 0; i < options.length; i++) {
            if (options[i].selected) {
                if (answer != "") {
                    answer = answer + "," + options[i].tag;
                }
                else {
                    answer = options[i].tag;
                }
            }
        }
        return answer;
    };
    ExaminationPage.prototype.dealMulQuestion = function (options, answers) {
        for (var i = 0; i < options.length; i++) {
            if ((answers).indexOf(options[i].tag) != -1) {
                options[i].selected = true;
            }
        }
        return options;
    };
    ExaminationPage.prototype.initAnswers = function (res) {
        for (var i = 0; i < res.length; i++) {
            this.answers.push({
                QuestionId: res[i].ID,
                Answer: ""
            });
        }
    };
    //获取所有题目中单选题的数量
    ExaminationPage.prototype.getRadioNum = function (datas) {
        var radioNum = 0;
        for (var i = 0; i < datas.length; i++) {
            if (datas[i].questionType != 2) {
                radioNum = radioNum + 1;
            }
        }
        return radioNum;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* Slides */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* Slides */])
    ], ExaminationPage.prototype, "slides", void 0);
    ExaminationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-examination',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\examination\examination.html"*/'<!--\n  Generated template for the examinationPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>{{examName}}</ion-title>\n    <ion-buttons end>\n      <button ion-button icon-start (click)="presentPopover($event)">\n        {{currentQuesIndex}}/{{quesTotalNum}}<ion-icon name="apps"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content >\n   <ion-slides (ionSlideDidChange)="slideChanged()">\n     <ion-slide *ngFor="let examination of examinations">\n        <h3><span class="hwtype">{{examination.typeName}}</span>{{examination.index}}、{{examination.question}}<span class="score">({{examination.score}}分)</span></h3>\n        <ion-list *ngIf="examination.questionType!=2" radio-group [(ngModel)]="examination.radioOptions" (ionChange)="radioChange()">\n            <ion-item *ngFor="let option of examination.options">  \n              <ion-label>{{option.tag}}、{{option.quesOption}}</ion-label>\n              <ion-radio  value="{{option.tag}}"></ion-radio>\n              </ion-item>                    \n        </ion-list>\n        <ion-list *ngIf="examination.questionType==2">\n            <ion-item *ngFor="let option of examination.options">\n                <ion-label>{{option.tag}}、{{option.quesOption}}</ion-label>\n                <ion-checkbox [(ngModel)]="option.selected"  (ionChange)="checkboxChange()"></ion-checkbox>\n              </ion-item>\n        </ion-list>        \n     </ion-slide>\n   </ion-slides>  \n</ion-content>\n<ion-footer>\n  <h2 align="center">剩余时间：{{remainTimeTxt}}</h2>  \n  <!-- <ion-toolbar>\n    <ion-row>\n      <ion-col *ngIf="currentQuesIndex>1">\n        <button ion-button full (click)="previous()">上一题</button>\n      </ion-col>\n      <ion-col >\n          <button ion-button full (click)="submit()" color="orange">交卷</button>\n        </ion-col>        \n      <ion-col >\n        <button ion-button full (click)="next()" *ngIf="currentQuesIndex!=quesTotalNum">下一题</button>\n      </ion-col>    \n    </ion-row>\n  </ion-toolbar> -->\n  <button ion-button full (click)="submit()">交卷</button>\n</ion-footer>\n'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\examination\examination.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_examination_service_examination_service__["a" /* ExaminationProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* PopoverController */], __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_4__providers_utils_storage_service__["a" /* StorageProvider */]])
    ], ExaminationPage);
    return ExaminationPage;
}());

//# sourceMappingURL=examination.js.map

/***/ })

});
//# sourceMappingURL=26.js.map