webpackJsonp([29],{

/***/ 304:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CreditPageModule", function() { return CreditPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__credit__ = __webpack_require__(344);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CreditPageModule = /** @class */ (function () {
    function CreditPageModule() {
    }
    CreditPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__credit__["a" /* CreditPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__credit__["a" /* CreditPage */]),
            ],
        })
    ], CreditPageModule);
    return CreditPageModule;
}());

//# sourceMappingURL=credit.module.js.map

/***/ }),

/***/ 344:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CreditPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_credit_service_credit_service__ = __webpack_require__(220);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




//declare let JAnalytics: any;
/**
 * Generated class for the CreditPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CreditPage = /** @class */ (function () {
    function CreditPage(navCtrl, navParams, creditDataProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.creditDataProvider = creditDataProvider;
        this.years = [];
        this.initData();
    }
    CreditPage.prototype.initData = function () {
        var _this = this;
        this.selected_year = new Date().getFullYear();
        this.setYears();
        this.creditDataProvider.getCredit(__WEBPACK_IMPORTED_MODULE_3__providers_utils_utils__["a" /* UtilsProvider */].dateFormat(new Date(), 'yyyy'), this.navCtrl).then(function (res) {
            _this.credit = res;
        });
    };
    //   ionViewDidEnter() {
    //     JAnalytics.onPageStart({'pageName': 'CreditPage'});
    //   }
    // 
    //   ionViewDidLeave() {
    //     JAnalytics.onPageEnd({'pageName': 'CreditPage'});
    //   }
    CreditPage.prototype.setYears = function () {
        for (var year = new Date().getFullYear(); year >= 2018; year--) {
            this.years.push({
                yearCode: year,
                yearTxt: year + "年"
            });
        }
    };
    CreditPage.prototype.switchYear = function () {
        var _this = this;
        console.log(this.selected_year);
        this.creditDataProvider.getCredit(this.selected_year, this.navCtrl).then(function (res) {
            _this.credit = res;
        });
    };
    CreditPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-credit',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\credit\credit.html"*/'<!--\n  Generated template for the CreditPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n  <ion-navbar color="primary">\n    <ion-title>学时查询</ion-title>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content>\n  <ion-card>\n    <ion-card-header>\n        <ion-select interface="popover" [(ngModel)]="selected_year" (ngModelChange)="switchYear()"> \n              <ion-option *ngFor="let year of years" value="{{year.yearCode}}">{{year.yearCode}}</ion-option>\n        </ion-select><span class="studytimestxt">年度培训平台学习情况</span>\n    </ion-card-header>\n    <ion-list class="lessontimes">\n      <!--<ion-item>完成课程<p><span>{{credit?.finco_count}}</span>门</p></ion-item>-->\n      <ion-item>获得学时<p><span>{{credit?.fincredit}}</span>学时</p></ion-item>\n      <!--<ion-item>在读课程<p><span>{{credit?.unfinco_count}}</span>门</p></ion-item>-->\n      <ion-item>在读学时<p><span>{{credit?.unfincredit}}</span>学时</p></ion-item>\n    </ion-list>\n  </ion-card>\n</ion-content>\n'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\credit\credit.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__providers_credit_service_credit_service__["a" /* CreditDataProvider */]])
    ], CreditPage);
    return CreditPage;
}());

//# sourceMappingURL=credit.js.map

/***/ })

});
//# sourceMappingURL=29.js.map