webpackJsonp([30],{

/***/ 302:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CourseListPageModule", function() { return CourseListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__course_list__ = __webpack_require__(342);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CourseListPageModule = /** @class */ (function () {
    function CourseListPageModule() {
    }
    CourseListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__course_list__["a" /* CourseListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__course_list__["a" /* CourseListPage */]),
            ],
        })
    ], CourseListPageModule);
    return CourseListPageModule;
}());

//# sourceMappingURL=course-list.module.js.map

/***/ }),

/***/ 342:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CourseListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_data_service_data_service__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_globaldata_globaldata__ = __webpack_require__(21);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_utils_utils__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






//declare let JAnalytics: any;
/*
   选课列表
*/
var CourseListPage = /** @class */ (function () {
    function CourseListPage(navCtrl, dataProvider, modalCtrl, alertService, globalData, utils) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.dataProvider = dataProvider;
        this.modalCtrl = modalCtrl;
        this.alertService = alertService;
        this.globalData = globalData;
        this.utils = utils;
        this.courses = [];
        this.ipage = 1;
        this.pageCount = 0;
        this.pageIndex = 1;
        this.searchInput = "";
        this.count = 0; //进入页面的次数
        this.dataProvider.getCourseTypes().then(function (res) {
            _this.courseTypes = res;
        });
        this.selected_sortType = "time";
        this.isSortByTime = true;
        this.isSortByHot = false;
        this.typeName = "全部课程";
        this.initializeCourses();
    }
    //进入界面那一刻调用,每次都会调用
    CourseListPage.prototype.ionViewWillEnter = function () {
        this.count++;
        if (this.courses.length == 0 && this.count > 1) {
            this.initializeCourses();
        }
    };
    //   ionViewDidEnter() {
    //     JAnalytics.onPageStart({'pageName': 'CourseListPage'});
    //   }
    // 
    //   ionViewDidLeave() {
    //     JAnalytics.onPageEnd({'pageName': 'CourseListPage'});
    //   }
    CourseListPage.prototype.initializeCourses = function () {
        var _this = this;
        this.alertService.showLoading("加载中");
        this.dataProvider.getunLoginCourseList(this.searchInput, this.ipage, this.isSortByTime, this.isSortByHot, this.randType, this.typeCode).then(function (res) {
            _this.alertService.dismissLoading();
            if (res) {
                _this.courses = res.courses;
                _this.pageCount = res.pageCount;
                _this.pageIndex = res.pageIndex;
            }
        }, function (error) {
            _this.alertService.dismissLoading();
        });
    };
    CourseListPage.prototype.doSearch = function () {
        this.ipage = 1;
        this.initializeCourses();
    };
    CourseListPage.prototype.switchSortType = function () {
        if (this.selected_sortType == "time") {
            this.isSortByTime = true;
            this.isSortByHot = false;
            this.initializeCourses();
        }
        else if (this.selected_sortType == "hot") {
            this.isSortByTime = false;
            this.isSortByHot = true;
            this.initializeCourses();
        }
    };
    CourseListPage.prototype.courseTapped = function (courseID) {
        var _this = this;
        // That's right, we're pushing to ourselves!
        this.dataProvider.getCoursePreview(courseID).then(function (res) {
            _this.navCtrl.push('CourseChoosePage', { course: res });
        });
    };
    //下拉刷新
    CourseListPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        this.ipage = 1;
        if (this.infiScroll) {
            this.infiScroll.enable(true);
        }
        this.dataProvider.getunLoginCourseList(this.searchInput, this.ipage, this.isSortByTime, this.isSortByHot, this.randType, this.typeCode).then(function (res) {
            _this.courses = res.courses;
            _this.pageCount = res.pageCount;
            _this.pageIndex = res.pageIndex;
            refresher.complete();
        }, function (error) {
            refresher.complete();
        });
    };
    //上推查看更多
    CourseListPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        this.infiScroll = infiniteScroll;
        if (this.pageCount > this.pageIndex) {
            this.dataProvider.getunLoginCourseList(this.searchInput, this.ipage + 1, this.isSortByTime, this.isSortByHot, this.randType, this.typeCode).then(function (res) {
                _this.courses = _this.courses.concat(res.courses);
                _this.ipage = _this.ipage + 1;
                _this.pageIndex = res.pageIndex;
                infiniteScroll.complete();
            }, function (error) {
                infiniteScroll.complete();
            });
        }
        else {
            infiniteScroll.enable(false);
        }
    };
    CourseListPage.prototype.getSearchCourses = function (ev) {
    };
    //根据用户选择的类型筛选课程
    CourseListPage.prototype.showTypeCourse = function (selected_typeCode, selected_randType, selected_typeName) {
        this.typeCode = selected_typeCode;
        this.randType = selected_randType;
        this.typeName = selected_typeName;
        this.initializeCourses();
    };
    CourseListPage.prototype.showAllCourse = function () {
        this.typeName = "全部课程";
        this.randType = "";
        this.typeCode = "";
        this.initializeCourses();
    };
    CourseListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-course-list',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\course-list\course-list.html"*/'<ion-header>\n  <ion-toolbar>\n    <ion-searchbar\n    [(ngModel)]="searchInput"\n    placeholder="请输入课程名称"\n    [showCancelButton]="shouldShowCancel"\n    (ionInput)="doSearch()"\n    (ionCancel)="onCancel($event)"\n    >\n  </ion-searchbar>\n  </ion-toolbar>\n  <ion-grid>\n  <ion-row>\n    <ion-col col-6>\n      <button ion-button icon-start menuToggle clear>\n        <ion-icon name="funnel-outline" item-start></ion-icon>{{typeName}}\n      </button>\n    </ion-col>\n    <ion-col col-6>\n          <!--ion-label>排序</ion-label-->\n          <ion-select interface="popover"  [(ngModel)]="selected_sortType" (ngModelChange)="switchSortType()">\n            <ion-option value="time">时间</ion-option>\n            <ion-option value="hot">热度</ion-option>\n          </ion-select>\n    </ion-col>\n  </ion-row>\n</ion-grid>\n</ion-header>\n<ion-content>\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n        <ion-refresher-content pullingIcon="arrow-down" pullingText="释放刷新" refreshingSpinner="circles" refreshingText="刷新中...">\n        </ion-refresher-content>\n      </ion-refresher>        \n    <div *ngIf="courses?.length==0" class="nolesson">暂无相关课程</div> \n    <ion-list>\n    <ion-row>\n      <ion-col *ngFor="let course of courses" (click)="courseTapped(course.courseID)"  col-12 class="lessonbox">\n        <p class="img">\n        <img src="{{course.imgUrl}}" /></p>\n        <h3>{{course.courseName}}</h3>\n        <p class="info">\n          <span class="left"><ion-icon name=\'list-box-outline\'></ion-icon> {{course.credit}}学时</span>\n          <span class="right"><ion-icon name=\'clock-outline\'></ion-icon> {{course.duration}}分钟</span>\n        </p>\n      </ion-col>\n    </ion-row>\n  </ion-list>\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" threshold="10%">\n      <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载更多数据...">\n      </ion-infinite-scroll-content>\n    </ion-infinite-scroll>  \n</ion-content>\n<ion-menu type="overlay" [content]="content">\n  <ion-header>\n    <ion-toolbar color="primary">\n      <ion-title>课程筛选</ion-title>\n    </ion-toolbar>\n  </ion-header>\n  <ion-content>\n    <ion-list>\n        <button menuClose ion-item (click)="showAllCourse()">全部课程</button>\n    </ion-list>\n    <ion-list no-lines *ngFor="let courseType of courseTypes">\n      <a ion-item menuClose (click)="showTypeCourse(courseType.Current.TypeCode, courseType.Current.RandType, courseType.Current.TypeName)">\n        {{courseType.Current.TypeName}}\n      </a>\n      <ion-row class="menuliststyle" *ngFor="let nextCorseType of courseType.Children">\n          <a col-6 menuClose (click)="showTypeCourse(nextCorseType.Current.TypeCode, nextCorseType.Current.RandType, nextCorseType.Current.TypeName)">{{nextCorseType.Current.TypeName}}</a>\n        </ion-row>\n    </ion-list>\n  </ion-content>\n</ion-menu>\n<ion-content #content>\n</ion-content>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\course-list\course-list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__providers_data_service_data_service__["a" /* DataProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_4__providers_globaldata_globaldata__["a" /* GlobaldataProvider */], __WEBPACK_IMPORTED_MODULE_5__providers_utils_utils__["a" /* UtilsProvider */]])
    ], CourseListPage);
    return CourseListPage;
}());

//# sourceMappingURL=course-list.js.map

/***/ })

});
//# sourceMappingURL=30.js.map