webpackJsonp([8],{

/***/ 328:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RegisterPageModule", function() { return RegisterPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__register__ = __webpack_require__(368);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RegisterPageModule = /** @class */ (function () {
    function RegisterPageModule() {
    }
    RegisterPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__register__["a" /* RegisterPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__register__["a" /* RegisterPage */]),
            ],
        })
    ], RegisterPageModule);
    return RegisterPageModule;
}());

//# sourceMappingURL=register.module.js.map

/***/ }),

/***/ 368:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RegisterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(25);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__ = __webpack_require__(11);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_user_service_user_service__ = __webpack_require__(216);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the RegisterPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var RegisterPage = /** @class */ (function () {
    function RegisterPage(navCtrl, navParams, modalCtrl, alertService, utilsProvider, userProvider) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.alertService = alertService;
        this.utilsProvider = utilsProvider;
        this.userProvider = userProvider;
        this.registerData = {
            user_realname: "", sex: "", username: "", password: "", userID_card: "", trainBaseName: "内蒙古自治区满洲里市人力资源和社会保障局", departmentName: "",
            departmentID: "", email: "", telephoneNum: "", confirm_password: "", question: "", answer: "", nation: "", pgqk: "", bzqk: "",
            zw: "", xyzc: "", zcgetTime: "", brithday: "", region: "内蒙古自治区呼伦贝尔市满洲里市"
        };
        this.selected_pgqk = "";
        this.selected_bzqk = "";
        this.selected_zw = "";
        this.selected_xyzc = "";
    }
    //   ionViewDidEnter() {
    //     JAnalytics.onPageStart({'pageName': 'RegisterPage'});
    //   }
    // 
    //   ionViewDidLeave() {
    //     JAnalytics.onPageEnd({'pageName': 'RegisterPage'});
    //   }
    RegisterPage.prototype.register = function () {
        var _this = this;
        var verifyStr = this.verifyRegisterData();
        if (verifyStr != "pass") {
            if (!__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(verifyStr)) {
                this.alertService.showAlert(verifyStr);
            }
        }
        else {
            //根据身份证判断性别
            // this.getUserSex();
            this.userProvider.register(this.registerData).then(function (res) {
                if (res == 1) {
                    _this.navCtrl.pop();
                    JAnalytics.addRegisterEvent({ 'registerMethod': 'self', 'isRegisterSuccess': true });
                }
                else {
                    JAnalytics.addRegisterEvent({ 'registerMethod': 'self', 'isRegisterSuccess': false });
                }
            });
        }
    };
    RegisterPage.prototype.blurInput = function () {
        this.utilsProvider.identityCodeValid(this.registerData.userID_card);
        this.getUserSex();
        this.registerData.brithday = this.utilsProvider.getUserBrithday(this.registerData.userID_card);
    };
    RegisterPage.prototype.verifyRegisterData = function () {
        if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.username)) {
            return "用户名不能为空！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.userID_card)) {
            return "身份证号不能为空！";
        }
        else if (!this.utilsProvider.identityCodeValid(this.registerData.userID_card)) {
            return "";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.user_realname)) {
            return "姓名不能为空！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.nation)) {
            return "民族不能为空！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.pgqk)) {
            return "请选择聘岗情况！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.bzqk)) {
            return "请选择编制情况！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.zw)) {
            return "请选择职务！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.xyzc)) {
            return "请选择现有职称！";
        }
        else if (this.registerData.xyzc != "无" && __WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.zcgetTime)) {
            return "请选择现有职称取得时间！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.departmentName)) {
            return "工作单位不能为空！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.email)) {
            return "电子邮箱不能为空！";
        }
        else if (!this.utilsProvider.isEmail(this.registerData.email)) {
            return "";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.telephoneNum)) {
            return "手机号码不能为空！";
        }
        else if (!this.utilsProvider.isMobileNum(this.registerData.telephoneNum)) {
            return "";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.password)) {
            return "密码不能为空！";
        }
        else if (!this.utilsProvider.checkLength(this.registerData.password, 8, 20)) {
            return "";
        }
        else if (!this.utilsProvider.checkPwd(this.registerData.password)) {
            return "";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.confirm_password)) {
            return "确认密码不能为空！";
        }
        else if (this.registerData.password != this.registerData.confirm_password) {
            return "两次输入密码不一致！";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.question)) {
            return "密保问题不能为空！";
        }
        else if (!this.utilsProvider.checkLength(this.registerData.question, 1, 15)) {
            return "";
        }
        else if (__WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */].isEmpty(this.registerData.answer)) {
            return "密保答案不能为空！";
        }
        else if (!this.utilsProvider.checkLength(this.registerData.answer, 1, 15)) {
            return "";
        }
        else {
            return "pass";
        }
    };
    RegisterPage.prototype.getUserSex = function () {
        var userCard = this.registerData.userID_card;
        if (userCard == "" || userCard.length != 18) {
            this.registerData.sex = "";
            return;
        }
        if (parseInt(userCard.substr(16, 1)) % 2 == 1) {
            this.registerData.sex = "男";
        }
        else {
            this.registerData.sex = "女";
        }
    };
    RegisterPage.prototype.toSearchPage = function () {
        var _this = this;
        var modal = this.modalCtrl.create('SearchPage');
        modal.present();
        modal.onDidDismiss(function (data) {
            if (data) {
                _this.department_Name = data.department;
                _this.registerData.departmentName = data.department;
                _this.registerData.departmentID = data.ID;
            }
        });
    };
    RegisterPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-register',template:/*ion-inline-start:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\register\register.html"*/'<!--\n  Generated template for the RegisterPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>注册</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <h5>基本信息</h5>\n  <ion-list>\n    <ion-item>\n      <ion-label stacked>用户名</ion-label>\n      <ion-input type="text" placeholder="请输入用户名" [(ngModel)]="registerData.username"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label stacked>身份证号</ion-label>\n      <ion-input type="text" placeholder="请输入身份证号" [(ngModel)]="registerData.userID_card" (ionBlur)="blurInput()">\n      </ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label stacked>姓名</ion-label>\n      <ion-input type="text" placeholder="请输入真实姓名" [(ngModel)]="registerData.user_realname"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label stacked>民族</ion-label>\n      <ion-input type="text" placeholder="请输入民族" [(ngModel)]="registerData.nation"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label >聘岗情况</ion-label>\n      <ion-select interface="popover" [(ngModel)]="registerData.pgqk"> \n          <ion-option value="">请选择</ion-option>\n          <ion-option value="已聘">已聘</ion-option>\n          <ion-option value="未聘">未聘</ion-option>\n    </ion-select>\n    </ion-item>\n    <ion-item>\n      <ion-label >编制情况</ion-label>\n      <ion-select interface="popover" [(ngModel)]="registerData.bzqk"> \n          <ion-option value="">请选择</ion-option>\n          <ion-option value="在编人员">在编人员</ion-option>\n          <ion-option value="事业合同制人员">事业合同制人员</ion-option>\n    </ion-select>\n    </ion-item>\n    <ion-item>\n      <ion-label >职务</ion-label>\n      <ion-select interface="popover" [(ngModel)]="registerData.zw"> \n          <ion-option value="">请选择</ion-option>         \n          <ion-option value="正科级">正科级</ion-option>\n          <ion-option value="副科级">副科级</ion-option>\n          <ion-option value="无">无</ion-option>\n    </ion-select>\n    </ion-item>\n    <ion-item>\n      <ion-label >现有职称</ion-label>\n      <ion-select interface="popover" [(ngModel)]="registerData.xyzc"> \n          <ion-option value="">请选择</ion-option>\n          <ion-option value="正高级">正高级</ion-option>\n          <ion-option value="高级">高级</ion-option>\n          <ion-option value="中级">中级</ion-option>\n          <ion-option value="初级">初级</ion-option>\n          <ion-option value="无">无</ion-option>\n    </ion-select>\n    </ion-item>\n    <ion-item *ngIf="registerData.xyzc!=\'无\'">\n      <ion-label stacked>取得时间</ion-label>\n      <ion-datetime placeholder="取得时间" displayFormat="YYYY-MM-DD" [(ngModel)]="registerData.zcgetTime"  cancelText="取消" doneText="确认"></ion-datetime>      \n    </ion-item>\n    <ion-item>\n      <ion-label stacked>出生年月</ion-label>\n      <ion-input type="text" placeholder="出生年月" [(ngModel)]="registerData.brithday" readonly></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label stacked>性别</ion-label>\n      <ion-input type="text" placeholder="性别" [(ngModel)]="registerData.sex" readonly></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label stacked>培训基地</ion-label>\n      <ion-input type="text" placeholder="请输入所在培训基地名称" [(ngModel)]="registerData.trainBaseName" readonly></ion-input>\n    </ion-item>\n    <ion-item>\n        <ion-label stacked>单位</ion-label>\n        <ion-input type="text" placeholder="请输入所在单位名称" [(ngModel)]="registerData.departmentName" (ionFocus)="toSearchPage()"></ion-input>\n      </ion-item>\n      <ion-item>\n          <ion-label stacked>所属地区</ion-label>\n          <ion-input type="text" placeholder="请输入所在地区" [(ngModel)]="registerData.region" readonly></ion-input>\n        </ion-item>      \n    <ion-item>      \n      <ion-label stacked>电子邮箱</ion-label>\n      <ion-input type="email" placeholder="请输入电子邮箱" [(ngModel)]="registerData.email"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label stacked>手机号码</ion-label>\n      <ion-input type="text" placeholder="请输入手机号码" [(ngModel)]="registerData.telephoneNum"></ion-input>\n    </ion-item>\n  </ion-list>\n  <p class="warningtext" padding>*填写内容务必真实有效，否则学员自行承担失实登记资料造成一切责任与损失。</p>\n  <h5>账号信息</h5>\n  <ion-list>\n    <ion-item>\n      <ion-label stacked>密码</ion-label>\n      <ion-input type="password" placeholder="必须包含字母和数字,长度8-20位" [(ngModel)]="registerData.password"></ion-input>\n    </ion-item>\n\n    <ion-item>\n      <ion-label stacked>确认密码</ion-label>\n      <ion-input type="password" placeholder="请再次输入密码" [(ngModel)]="registerData.confirm_password"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label stacked>密保问题</ion-label>\n      <ion-input type="text" placeholder="不超过15个字符" [(ngModel)]="registerData.question"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-label stacked>密保答案</ion-label>\n      <ion-input type="text" placeholder="不超过15个字符" [(ngModel)]="registerData.answer"></ion-input>\n    </ion-item>\n  </ion-list>\n</ion-content>\n<ion-footer>\n  <button ion-button full (click)="register()" color="orange">注册</button>\n</ion-footer>'/*ion-inline-end:"E:\ionic3 project\GZWCIT.APP.MZL.Elearning\src\pages\register\register.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_utils_alert_service__["a" /* AlertService */], __WEBPACK_IMPORTED_MODULE_2__providers_utils_utils__["a" /* UtilsProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_user_service_user_service__["a" /* UserServiceProvider */]])
    ], RegisterPage);
    return RegisterPage;
}());

//# sourceMappingURL=register.js.map

/***/ })

});
//# sourceMappingURL=8.js.map